Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 699132 - gnome-extra/nm-applet-1.8.24: ppc/ppc64 stabilization request
Summary: gnome-extra/nm-applet-1.8.24: ppc/ppc64 stabilization request
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Stabilization (show other bugs)
Hardware: PPC Linux
: Normal normal (vote)
Assignee: Gentoo Linux Gnome Desktop Team
URL:
Whiteboard:
Keywords: STABLEREQ
Depends on:
Blocks:
 
Reported: 2019-11-02 08:06 UTC by ernsteiswuerfel
Modified: 2020-02-02 21:53 UTC (History)
1 user (show)

See Also:
Package list:
gnome-extra/nm-applet-1.8.24 ppc ppc64 net-misc/libteam-1.22 ppc ppc64
Runtime testing required: ---
stable-bot: sanity-check-


Attachments
build.log (ppc) (nm-applet-1.8.22:20191102-074819.log,374.02 KB, text/plain)
2019-11-02 08:06 UTC, ernsteiswuerfel
no flags Details
build.log (nm-applet-1.8.24, +teamd, ppc) (nm-applet-1.8.24:20191201-214449.log,385.14 KB, text/plain)
2019-12-01 22:12 UTC, ernsteiswuerfel
no flags Details
build.log.xz (networkmanager-1.18.4-r1, +teamd, ppc) (networkmanager-1.18.4-r1:20191201-213123.log.xz,41.58 KB, text/plain)
2019-12-01 22:13 UTC, ernsteiswuerfel
no flags Details
build.log (libteam-1.22, ppc) (libteam-1.22:20191201-220454.log,43.66 KB, text/x-log)
2019-12-01 22:14 UTC, ernsteiswuerfel
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ernsteiswuerfel 2019-11-02 08:06:19 UTC
Created attachment 594796 [details]
build.log (ppc)

Builds and works fine on ppc/ppc64.

Also 'teamd' could be removed from ../arch/powerpc/package.use.stable.mask.
Comment 1 Stabilization helper bot gentoo-dev 2019-11-02 09:02:54 UTC
An automated check of this bug failed - repoman reported dependency errors (31 lines truncated): 

> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.22.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.22.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.22.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
Comment 2 ernsteiswuerfel 2019-12-01 22:11:02 UTC
Builds and works fine on ppc/ppc64.

For stabilization this needs 'teamd' removed from package.use.stable.mask.
Comment 3 ernsteiswuerfel 2019-12-01 22:12:01 UTC
Created attachment 598178 [details]
build.log (nm-applet-1.8.24, +teamd, ppc)
Comment 4 ernsteiswuerfel 2019-12-01 22:13:38 UTC
Created attachment 598180 [details]
build.log.xz (networkmanager-1.18.4-r1, +teamd, ppc)
Comment 5 ernsteiswuerfel 2019-12-01 22:14:30 UTC
Created attachment 598182 [details]
build.log (libteam-1.22, ppc)
Comment 6 Stabilization helper bot gentoo-dev 2019-12-01 23:01:31 UTC
An automated check of this bug failed - repoman reported dependency errors (31 lines truncated): 

> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.24.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.24.ebuild: RDEPEND: ppc(default/linux/powerpc/ppc32/17.0) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
> dependency.bad gnome-extra/nm-applet/nm-applet-1.8.24.ebuild: DEPEND: ppc(default/linux/powerpc/ppc32/17.0/desktop) ['>=net-misc/networkmanager-1.7:=[introspection?,modemmanager?,teamd?]']
Comment 7 Mart Raudsepp gentoo-dev 2020-02-02 21:53:07 UTC
Not sure why this gets ignored by ppc when it needs action from them and that's why it's failed sanity-check; anyhow, went ahead and committed the stabling and stable use unmask myself now, thanks